Bug 70671 - Some typos / observations in the beginning of Anaconda
Some typos / observations in the beginning of Anaconda
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-03 13:51 EDT by Peter van Egdom
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-03 16:25:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2002-08-03 13:51:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
When you press "F2" right after booting from CD or floppy, the text
"Press F4 for more information about rescue mode" is seen on screen.

But when you look at the 'index-keys' below you see that F4 is for "Kernel"
and F5 for "Rescue" :

 initial       on F2         on F3         on F4         on F5        
--------------------------------------------------------------------
 F1 Main       F1 Main       F1 Main       F1 Main       F1 Main
 F2 Options    F2 Options    F2 Options    F2 Options    F2 Options
 F3 General    F3 General    F3 General    F3 General    F3 General
 F4 Kernel     F4 Kernel     F4 Kernel     F4 Kernel     F4 Kernel
 F5 Rescue     F5 Rescue     F5 Rescue     F5 Rescue     F5 Rescue

Another thing is that some sentences have multiple spaces between the words
in the screens F1 to F5. It would be better to remove these multiple spaces
and replace them by a single space.

Another thing that could be improved is to change the colour of the text on
these screens that 'must be typed in'. For example, all text on these
screens is white, including the text that must be typed in
(such as "linux rescue" or "linux mediacheck"). 

Maybe it would be better to give this text a seperate colour?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert Limbo bootflop or CD 1.
2. Check out the text man, check out the text!
3.

Actual Results:
- "Press F4 for more information about rescue mode"
- Multiple spaces between some words.
- Most of the text is white (except for words like "red hat")

Expected Results:
- "Press F5 for more information about rescue mode"
- No multiple spaces between words.
- Colour should be used to distinct strings like "linux rescue",
  "linux mediacheck" to discern it from the rest.


Additional info:
Comment 1 Jeremy Katz 2002-08-07 19:27:57 EDT
Fixed a lot of this -- doing any colors stuff has to wait until after I have the
final image for that screen so that I can make sure things work with the palette
Comment 2 Jeremy Katz 2002-09-02 23:52:22 EDT
Finally fixed up completely
Comment 3 Mike McLean 2002-09-03 16:13:50 EDT
Expected Results:
CONFIRMED  - "Press F5 for more information about rescue mode"
CONFIRMED  - No multiple spaces between words.
FAILED*    - Colour should be used to distinct strings like "linux rescue",
  "linux mediacheck" to discern it from the rest.

* On the F1 page, the kernel command lines are in a bright white, but on all
other screens there is no distinction.
Comment 4 Jeremy Katz 2002-09-03 16:25:47 EDT
Oops, forgot to commit them last night.  Will be in next build.
Comment 5 David Lawrence 2002-09-04 15:45:44 EDT
verified fixed in latest code.
Comment 6 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.